Bug 1347810 - GCC fails when including libnl3 header
Summary: GCC fails when including libnl3 header
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libnl3
Version: 7.3
Hardware: x86_64
OS: Linux
medium
high
Target Milestone: rc
: ---
Assignee: Thomas Haller
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-17 17:30 UTC by Harry Mallon
Modified: 2016-11-03 19:22 UTC (History)
4 users (show)

Fixed In Version: libnl3-3.2.28-0.1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-03 19:22:56 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2581 normal SHIPPED_LIVE Low: NetworkManager security, bug fix, and enhancement update 2016-11-03 12:08:07 UTC

Description Harry Mallon 2016-06-17 17:30:15 UTC
Description of problem:
Description taken from github patch. Issue is in attr.h:
g++ is unable to compile code with nla_for_each_nested macro due to
implicit type conversion from void* to nlattr*. This patch adds type
casting for nla_for_each_nested macro to address this issue. 

Patch is available upstream.

Version-Release number of selected component (if applicable):
3.2.21-10 (on CentOS7)

How reproducible:
every time

Steps to Reproduce:
1. Build with gcc and include libnl3 headers

Actual results:
Compile error

Expected results:
No compile error

Additional info:
Patch (very short + simple) here: https://github.com/thom311/libnl/commit/cdf2d4baf376e4a3030a2c1169516358b4fba2e5
I have tested backporting that commit onto the current CentOS7 rpm package and it patches easily and works.

Comment 3 Thomas Haller 2016-06-30 12:55:54 UTC
As mentioned, this is fixed upstream by commit https://github.com/thom311/libnl/commit/cdf2d4baf376e4a3030a2c1169516358b4fba2e5

As we rebase the libnl3 package for rhel-7.3, this fix is included ~automatically~.

Comment 7 errata-xmlrpc 2016-11-03 19:22:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2581.html


Note You need to log in before you can comment on or make changes to this bug.